Skip to content

Join the waitlist

POST
/api/v1/waitlist
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/waitlist \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "company": "example", "company_size": "example", "email": "hello@example.com", "name": "example" }'

Submit a waitlist signup. No authentication required.

Media typeapplication/json
WaitlistJoinRequest

Request body for the public waitlist signup endpoint.

Attributes: name: Full name of the person signing up. email: Email address for follow-up. company: Optional company name. company_size: Optional company size bucket.

object
company
Any of:
string
<= 255 characters
company_size
Any of:
string
<= 50 characters
email
required
Email

Email address

string format: email
name
required
Name

Full name

string
<= 255 characters
Examplegenerated
{
"company": "example",
"company_size": "example",
"email": "hello@example.com",
"name": "example"
}

Successful Response

Media typeapplication/json
Response Join Waitlist Api V1 Waitlist Post
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}